Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.assoc
Class M2MEdit_List<T,C extends java.util.Collection<T>>

    java.lang.Object
      hibergui.Component<T>
          hibergui.Edit<C>
              hibergui.assoc.AssociationEdit<T,C>
                  hibergui.assoc.M2MEdit<T,C>
                      hibergui.assoc.M2MEdit_List<T,C>

Direct Known Subclasses:
  ListEdit_List, SetEdit_List

    public abstract class M2MEdit_List<T,C extends java.util.Collection<T>>

extends M2MEdit<T,C>

Nested Class Summary

Nested classes/interfaces inherited from class hibergui.Edit
`Edit.DefaultComputation<TT>, Edit.EditConstraint`

Field Summary
`protected org.eclipse.swt.widgets.Button` | `btnRemove`
`protected java.lang.String` | `editProp`
`protected org.eclipse.swt.widgets.List` | `lst`
`protected org.eclipse.jface.viewers.ListViewer` | `lsv`

Fields inherited from class hibergui.assoc.AssociationEdit
`btnAssoc, dlgAssoc`

Fields inherited from class hibergui.Edit
`form, lsn_TRAVERSE, lsn_WIDGET_MOD, value`

Fields inherited from class hibergui.Component
`lsn_WIDGET_FOCUS, lsn_WIDGET_KEY, style`

Constructor Summary
`M2MEdit_List(Form<?> form, org.eclipse.swt.widgets.Composite cptParent, int style, java.lang.String prop, java.lang.String name, java.lang.String editProp)`

Method Summary
`void` | `add(T[] elements)`
`protected org.eclipse.swt.widgets.Button` | `createAssocDialogButton(org.eclipse.swt.widgets.Composite cptParent)`
`protected org.eclipse.swt.widgets.List` | `createList(org.eclipse.swt.widgets.Composite cptParent)`
`protected org.eclipse.swt.widgets.Button` | `createRemoveButton(org.eclipse.swt.widgets.Composite cptParent)`
`C` | `extract()` Extracts the value from the controls of the edit.
`protected java.lang.String` | `getItemText(T item)`
`boolean` | `isEnabled()`
`void` | `remove(int[] indices)`
`protected void` | `selectionChanged()`
`void` | `setBackground(org.eclipse.swt.graphics.Color clr)`
`void` | `setEnabled(boolean b)`
`boolean` | `setFocus()`

Methods inherited from class hibergui.assoc.M2MEdit
`createForm, createForm, setSelection`

Methods inherited from class hibergui.assoc.AssociationEdit
`clear, createAssocDialog, refresh, setEditable`

Methods inherited from class hibergui.Edit
`addConstraint, addConstraint, addModificationListener, addTraverseListener, fill, fireKeyPressed, fireKeyReleased, fireTraversal, fix, get, getDefault, getName, getPropertyName, hasDefault, isDirty, isEditable, isFixed, isValid, markClean, markDirty, markInvalid, markValid, removeConstraint, removeConstraint, removeModificationListener, removeTraverseListener, resetBackground, set, setDefault, setDefault, setDefault, verify`

Methods inherited from class hibergui.Component
`addChangeListener, addControlListener, addFocusListener, addKeyListener, createContents, dispose, fireChange, getControl, init, removeChangeListener, removeControlListener, removeFocusListener, removeKeyListener, setLayoutData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lst

    protected org.eclipse.swt.widgets.List lst

### btnRemove

    protected org.eclipse.swt.widgets.Button btnRemove

### lsv

    protected org.eclipse.jface.viewers.ListViewer lsv

### editProp

    protected final java.lang.String editProp

Constructor Detail

### M2MEdit_List

    public M2MEdit_List(Form<?> form,
                        org.eclipse.swt.widgets.Composite cptParent,
                        int style,
                        java.lang.String prop,
                        java.lang.String name,
                        java.lang.String editProp)

Method Detail

### selectionChanged

    protected void selectionChanged()

### createList

    protected org.eclipse.swt.widgets.List createList(org.eclipse.swt.widgets.Composite cptParent)

### createAssocDialogButton

    protected org.eclipse.swt.widgets.Button createAssocDialogButton(org.eclipse.swt.widgets.Composite cptParent)

  Overrides:
    `createAssocDialogButton` in class `AssociationEdit<T,C extends java.util.Collection<T>>`

### createRemoveButton

    protected org.eclipse.swt.widgets.Button createRemoveButton(org.eclipse.swt.widgets.Composite cptParent)

### getItemText

    protected final java.lang.String getItemText(T item)

### add

    public void add(T[] elements)

  Specified by:
    `add` in class `M2MEdit<T,C extends java.util.Collection<T>>`

### remove

    public void remove(int[] indices)

### extract

    public C extract()

  Description copied from class: `Edit`
  Extracts the value from the controls of the edit.

  Overrides:
    `extract` in class `AssociationEdit<T,C extends java.util.Collection<T>>`
  Returns:
    the extracted value

### setEnabled

    public void setEnabled(boolean b)

  Overrides:
    `setEnabled` in class `AssociationEdit<T,C extends java.util.Collection<T>>`

### isEnabled

    public boolean isEnabled()

  Overrides:
    `isEnabled` in class `AssociationEdit<T,C extends java.util.Collection<T>>`

### setFocus

    public boolean setFocus()

  Overrides:
    `setFocus` in class `AssociationEdit<T,C extends java.util.Collection<T>>`

### setBackground

    public void setBackground(org.eclipse.swt.graphics.Color clr)

  Overrides:
    `setBackground` in class `AssociationEdit<T,C extends java.util.Collection<T>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD